> ## Documentation Index
> Fetch the complete documentation index at: https://docs.diga.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Phone

> Retrieve one of your phones by its id



## OpenAPI

````yaml /api-reference/openapi.json get /v1/phone/{phone_id}
openapi: 3.1.0
info:
  title: Diga API
  version: 0.1.0
servers:
  - url: https://api.diga.io
    description: Production
security: []
paths:
  /v1/phone/{phone_id}:
    get:
      tags:
        - Phones
      summary: Get Phone
      description: Retrieve one of your phones by its id
      operationId: get_phone_v1_phone__phone_id__get
      parameters:
        - name: phone_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Phone ID
            description: The unique identifier for the phone
          description: The unique identifier for the phone
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PhoneRegisterResponseSchema'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - CustomHTTPBearer: []
components:
  schemas:
    PhoneRegisterResponseSchema:
      properties:
        id:
          type: string
          format: uuid
          title: Phone Register ID
          description: Unique identifier for the phone register record
        nickname:
          anyOf:
            - type: string
            - type: 'null'
          title: Nickname
          description: The nickname given to the phone number
        number:
          type: string
          format: phone
          title: Phone Number
          description: The phone number
        telephony_provider:
          $ref: '#/components/schemas/TelephonyProvider'
          title: Telephony Provider
          description: >-
            The telephony provider (NETELIP for purchased numbers, CUSTOM for
            imported numbers)
        status:
          $ref: '#/components/schemas/PhoneRegisterStatus'
          title: Status
          description: >-
            Current status of the phone register (RESERVED, ASSIGNED, RELEASED,
            FINISHED)
        released_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Released At
          description: The date and time when the phone was released
        scheduled_release_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Scheduled Release At
          description: >-
            The date and time when the phone is scheduled to be released. If
            set, the phone will be released at this time at the end of the
            billing period.
        assigned_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Assigned At
          description: The date and time when the phone was assigned
        inbound_agent_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Inbound Agent ID
          description: >-
            The unique identifier for the agent that will receive the call when
            this phone receives an inbound call
        outbound_agent_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Outbound Agent ID
          description: >-
            The unique identifier for the agent that will make the calls when
            using this phone to make outbound calls
      type: object
      required:
        - id
        - number
        - telephony_provider
        - status
      title: PhoneRegisterResponseSchema
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    TelephonyProvider:
      type: string
      enum:
        - netelip
        - custom
      title: TelephonyProvider
    PhoneRegisterStatus:
      type: string
      enum:
        - reserved
        - assigned
        - released
        - finished
      title: PhoneRegisterStatus
      description: >-
        Enum representing the status of a phone number register. The cycle is as
        follows:

        - RESERVED: The phone number is reserved for a certain amount of time
        before being assigned

        - ASSIGNED: The phone number is assigned to a company

        - RELEASED: The phone number is released from the company and is pending
        availability for purchase (30 days before it can be purchased again)

        - FINISHED: The phone register process is finished, and the phone number
        is available for purchase again. Once a phone number reaches this
        status, it cannot return to previous statuses.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    CustomHTTPBearer:
      type: http
      scheme: bearer

````